> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/reference/organization.md).

# Organization

## *class* <mark style="color:purple;">Organization</mark>

Used to list and reference resources (e.g., datasets) within an organization.

## Constructors

<table data-header-hidden><thead><tr><th width="342">Method</th><th>Description</th></tr></thead><tbody><tr><td><a href="/pages/oWNWOjcYUWbpU6l2Z4HX"><strong><code>redivis.organization</code></strong></a>(user_name)</td><td>Construct a reference to an organization based on its (case-insensitive) username.</td></tr></tbody></table>

## Examples

{% tabs %}
{% tab title="Basics" %}

```python
# Reference the Demo organization (https://redivis.com/Demo)
organization = redivis.organization("demo")

# List all datasets
datasets = organization.list_datasets()

# Create a reference to a specific dataset
dataset = organization.dataset("ghcn_daily_weather_data")
```

{% endtab %}
{% endtabs %}

## Methods

<table data-header-hidden><thead><tr><th width="443">Name</th><th>Description</th></tr></thead><tbody><tr><td><a href="/pages/7azWEvDBRuGUjqHmKvHl"><strong><code>organization.dataset</code></strong></a>(dataset_name[, ...])</td><td>Construct a reference to a dataset in the organization.</td></tr><tr><td><a href="/pages/Vljer0vchX1XkdgWFFaK"><strong><code>organization.list_datasets</code></strong></a>([max_results[, ...])</td><td>List all datasets in the organization.</td></tr><tr><td><a href="/pages/nkWNyzwP2bh37irmkAD2"><strong><code>organization.list_members</code></strong></a>([max_results[, ...])</td><td>List all members in the organization.</td></tr><tr><td><a href="/pages/6fMj0itVenN4rC95LRkt"><strong><code>organization.list_workflows</code></strong></a>([max_results[, ...])</td><td>List all workflows owned by an organization.</td></tr><tr><td><a href="/pages/Ujgu5oxWKhvEVfKPoGCR"><strong><code>organization.member</code></strong></a>(username)</td><td>Construct a reference to a member in the organization.</td></tr><tr><td><a href="/pages/G8XG7SuZrzsxdoILNRgC"><strong><code>organization.secret</code></strong></a>(name)</td><td>Construct a reference to a secret defined by the organization.</td></tr><tr><td><a href="/pages/3vlSb5R0atLmp57W9Ovn"><strong><code>organization.workflow</code></strong></a>(name)</td><td>Construct a new workflow instance that references a workflow owned by an organization.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/organization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
